module.exports = {
    'env': {
        'browser': true,
        'es2021': true,
        'node': true
    },
    'extends': [
        'standard-with-typescript',
        'plugin:vue/vue3-essential',
        'sourceType'
    ],
    'overrides': [{
        'env': {
            'node': true
        },
        'files': [
            '.eslintrc.{js,cjs}'
        ],
        'parserOptions': {
            'sourceType': 'script'
        }
    }],
    'parserOptions': {
        'ecmaVersion': 'latest',
        'sourceType': 'module',
        'parser': 'babel-eslint',
    },
    'plugins': [
        'vue'
    ],
    'rules': {
        'no-console': process.env.NODE_ENV === 'production' ? 'warn' : 'off',
        'no-debugger': process.env.NODE_ENV === 'production' ? 'warn' : 'off',
    }
}